[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomMemo.Append

Appends the specified text to the Lines in the control.

## Declaration

Source position: stdctrls.pp line 936

`public procedure TCustomMemo.Append(`
`const AValue: string`
`);`

## Arguments

`AValue` |  | The text value added to Lines in the method.

## Description

Append is a procedure used to append the line of text in AValue to the end of the values in the Lines property. It is a convenience method, and calls the Add method in the Lines member.

    // var sLine: String;
    // the following are equivalent
    AMemo.Append(sLine);
    AMemo.Lines.Add(sLine);